com.qualcomm.ftccommon

## Class FtcLynxModuleAddressUpdateActivity.AddressConfiguration

- java.lang.Object
- - com.qualcomm.ftccommon.FtcLynxModuleAddressUpdateActivity.AddressConfiguration

- Enclosing class:
    FtcLynxModuleAddressUpdateActivity

      protected class FtcLynxModuleAddressUpdateActivity.AddressConfiguration
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<SerialNumber,java.lang.Integer>` | `current`
    `protected java.util.Map<SerialNumber,java.lang.Integer>` | `starting`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressConfiguration()`
    `AddressConfiguration(java.util.List<USBAccessibleLynxModule> modules)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsCurrentAddress(int address)`
    `SerialNumber` | `findByCurrentAddress(int address)`
    `int` | `getCurrentAddress(SerialNumber serialNumber)`
    `int` | `getStartingAddress(SerialNumber serialNumber)`
    `void` | `putCurrentAddress(SerialNumber serialNumber, int address)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### starting

          protected java.util.Map<SerialNumber,java.lang.Integer> starting

    - #### current

          protected java.util.Map<SerialNumber,java.lang.Integer> current

  - ### Constructor Detail

    - #### AddressConfiguration

          public AddressConfiguration()

    - #### AddressConfiguration

          public AddressConfiguration(java.util.List<USBAccessibleLynxModule> modules)

  - ### Method Detail

    - #### getStartingAddress

          public int getStartingAddress(SerialNumber serialNumber)

    - #### containsCurrentAddress

          public boolean containsCurrentAddress(int address)

    - #### putCurrentAddress

          public void putCurrentAddress(SerialNumber serialNumber,
                                        int address)

    - #### getCurrentAddress

          public int getCurrentAddress(SerialNumber serialNumber)

    - #### findByCurrentAddress

          public SerialNumber findByCurrentAddress(int address)